org.apache.ignite.internal.processors.closure

## Interface AffinityTask

    public interface AffinityTask

Affinity mapped task.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable Collection<String>` `affinityCacheNames()`
`int` `partition()`
`@Nullable AffinityTopologyVersion` `topologyVersion()`

### Method Detail

#### partition

    int partition()

Returns:
  Partition.

#### affinityCacheNames

    @Nullable
    @Nullable Collection<String> affinityCacheNames()

Returns:
  Affinity cache name.

#### topologyVersion

    @Nullable
    @Nullable AffinityTopologyVersion topologyVersion()

Returns:
  Affinity topology version.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021